/*
 * @Description: In User Settings Edit
 * @Author: your name
 * @Date: 2019-09-24 12:34:06
 * @LastEditTime : 2019-12-23 18:52:56
 * @LastEditors  : Please set LastEditors
 */
import Vue from 'vue'
import Router from 'vue-router'

const Guide = resolve => require.ensure([], () => { resolve(require('@/pages/guide/guide')) }, 'login')
const Login = resolve => require.ensure([], () => { resolve(require('@/pages/login')) }, 'login')
const Regiester = resolve => require.ensure([], () => { resolve(require('@/pages/regiester')) }, 'login')
const Regiester2 = resolve => require.ensure([], () => { resolve(require('@/pages/regiester2')) }, 'login')
const PwdForgot = resolve => require.ensure([], () => { resolve(require('@/pages/pwd-forgotten')) }, 'login')
const PwdReset = resolve => require.ensure([], () => { resolve(require('@/pages/pwd-reset')) }, 'login')
const FingerLogin = resolve => require.ensure([], () => { resolve(require('@/pages/finger-login')) }, 'login')
const Tab = resolve => require.ensure([], () => { resolve(require('@/pages/tab')) }, 'login')
const ChooseUser = resolve => require.ensure([], () => { resolve(require('@/pages/choose-user')) }, 'login')
const HomePage = resolve => require.ensure([], () => { resolve(require('@/pages/home/home-page')) }, 'home')
// 定位
const Location = resolve => require.ensure([], () => { resolve(require('@/pages/home/location')) }, 'home')

// 我的
const MyInfo = resolve => require.ensure([], () => { resolve(require('@/pages/myInfo/my-info')) }, 'myInfo')
const myBindUser = resolve => require.ensure([], () => { resolve(require('@/pages/myInfo/myBindUser')) }, 'myInfo')
const Certification = resolve => require.ensure([], () => { resolve(require('@/pages/myInfo/certification')) }, 'myInfo')
// 我的收藏
const MyProductList = resolve => require.ensure([], () => { resolve(require('@/pages/myProductCollection/my-product-list')) }, 'myProductCollection')

// test工具类
const HlsPopup = resolve => require.ensure([], () => { resolve(require('@/pages/hlsPopup')) }, 'test')

// 用户绑定
const UserBind = resolve => require.ensure([], () => { resolve(require('@/pages/userBind/userBind')) }, 'userBind')
const NaturePerson = resolve => require.ensure([], () => { resolve(require('@/pages/userBind/np/naturePerson')) }, 'userBind')
const Enterprise = resolve => require.ensure([], () => { resolve(require('@/pages/userBind/org/enterprise')) }, 'userBind')

// 用户绑定new

const EnterpriseNew = resolve => require.ensure([], () => { resolve(require('@/pages/userBindNew/org/baseInfo')) }, 'bindOrg')
const Invoice = resolve => require.ensure([], () => { resolve(require('@/pages/userBindNew/org/invoice')) }, 'bindOrg')
const Enclosure = resolve => require.ensure([], () => { resolve(require('@/pages/userBindNew/org/enclosure')) }, 'bindOrg')
const BankInfo = resolve => require.ensure([], () => { resolve(require('@/pages/userBindNew/org/bankInfo')) }, 'bindOrg')
// 新版用户绑定
const NPBaseInfo = resolve => require.ensure([], () => { resolve(require('@/pages/userBindNew/np/base-info')) }, 'bindNp')
const NPInvoiceInfo = resolve => require.ensure([], () => { resolve(require('@/pages/userBindNew/np/invoice-info')) }, 'bindNp')
const NPBankInfo = resolve => require.ensure([], () => { resolve(require('@/pages/userBindNew/np/bank-info')) }, 'bindNp')
const AccessoryInfo = resolve => require.ensure([], () => { resolve(require('@/pages/userBindNew/np/accessory-info')) }, 'bindNp')

// 进件审批
const Base = resolve => require.ensure([], () => { resolve(require('@/pages/intoApproval/intoApproval/base')) }, 'intoApproval')
const IntoList = resolve => require.ensure([], () => { resolve(require('@/pages/intoApproval/into-list')) }, 'intoApproval')
const Refund = resolve => require.ensure([], () => { resolve(require('@/pages/intoApproval/intoApproval/refund')) }, 'intoApproval')
// 经销商签约
const ContractList = resolve => require.ensure([], () => { resolve(require('@/pages/distributorSign/contract-list')) }, 'distributorSign')
const ContractDetails = resolve => require.ensure([], () => { resolve(require('@/pages/distributorSign/contract-details')) }, 'distributorSign')
const FinancDetails = resolve => require.ensure([], () => { resolve(require('@/pages/distributorSign/financ-details')) }, 'distributorSign')// 还款计划
// 融资试算
const FinancingTrial = resolve => require.ensure([], () => { resolve(require('@/pages/financingTrial/financing-trial')) }, 'financingTrial')
const FinancingDetails = resolve => require.ensure([], () => { resolve(require('@/pages/financingTrial/financing-details')) }, 'financingTrial')// 融资明细
const TrialRepayPlan = resolve => require.ensure([], () => { resolve(require('@/pages/financingTrial/trial-repay-plan')) }, 'financingTrial')
// 融租方案确认
const ContractSigning = resolve => require.ensure([], () => { resolve(require('@/pages/contractSigning/contract-signing')) }, 'contractSigning')
const ContractDetail = resolve => require.ensure([], () => { resolve(require('@/pages/ContractSigning/contract-detail')) }, 'contractSigning')
const ContractContent = resolve => require.ensure([], () => { resolve(require('@/pages/ContractSigning/contract-content')) }, 'contractSigning')
const EntryInfo = resolve => require.ensure([], () => { resolve(require('@/pages/ContractSigning/entry-info')) }, 'contractSigning')
const ElectronicSign = resolve => require.ensure([], () => { resolve(require('@/pages/ContractSigning/electronic-sign')) }, 'contractSigning')
/* const BodyCheck = resolve=>require.ensure([],()=>{resolve(require(@/pages/ContractSigning/body-check')) }, 'contractSigning') */
const ContractRepayPlan = resolve => require.ensure([], () => { resolve(require('@/pages/ContractSigning/contract-repay-plan')) }, 'contractSigning')

// 首付款支付
const FirstPay = resolve => require.ensure([], () => { resolve(require('@/pages/pay/firstPay/first-pay')) }, 'firstPay')
const PayEntry = resolve => require.ensure([], () => { resolve(require('@/pages/pay/firstPay/pay-entry')) }, 'firstPay')
const ContractRecord = resolve => require.ensure([], () => { resolve(require('@/pages/pay/firstPay/contract-record')) }, 'pay')
// 款项支付
const PaymentPayEntry = resolve => require.ensure([], () => { resolve(require('@/pages/pay/payment/pay-entry')) }, 'pay')
const PaymentContractRecord = resolve => require.ensure([], () => { resolve(require('@/pages/pay/payment/contract-record')) }, 'pay')
const NewList = resolve => require.ensure([], () => { resolve(require('@/pages/pay/payment/new-list')) }, 'pay')
// 保证金支付
const MarginFirstPay = resolve => require.ensure([], () => { resolve(require('@/pages/pay/marginPay/first-pay')) }, 'pay')
const MarginPayEntry = resolve => require.ensure([], () => { resolve(require('@/pages/pay/marginPay/pay-entry')) }, 'pay')
// 支付页
const PayPage = resolve => require.ensure([], () => { resolve(require('@/pages/pay/pay-page')) }, 'pay')
// 产品查询
const QueryHome = resolve => require.ensure([], () => { resolve(require('@/pages/productQuery/query-home')) }, 'productQuery')
const ProDetailed = resolve => require.ensure([], () => { resolve(require('@/pages/productQuery/product-detailed')) }, 'productQuery')
// 消息中心
const MessageCenter = resolve => require.ensure([], () => { resolve(require('@/pages/messageCenter/message-list')) }, 'messageCenter')
const ProductList = resolve => require.ensure([], () => { resolve(require('@/pages/productQuery/product-list')) }, 'productQuery')
const EntityList = resolve => require.ensure([], () => { resolve(require('@/pages/productQuery/entity-list')) }, 'productQuery')
const RejectDetail = resolve => require.ensure([], () => { resolve(require('@/pages/messageCenter/reject-detail')) }, 'messageCenter')
// 帮助与反馈
const HelpList = resolve => require.ensure([], () => { resolve(require('@/pages/help/help-list')) }, 'help')
const HelpDetail = resolve => require.ensure([], () => { resolve(require('@/pages/help/detail')) }, 'help')
const HelpFeedback = resolve => require.ensure([], () => { resolve(require('@/pages/help/feedback')) }, 'help')
// 我的还款
const ReimburseMyselfList = resolve => require.ensure([], () => { resolve(require('@/pages/reimburseMyself/reimburse-myself-list')) }, 'reimburseMyself')
const ReimburseDetail = resolve => require.ensure([], () => { resolve(require('@/pages/reimburseMyself/reimburse-detail')) }, 'reimburseMyself')

// 合同还款
const ContractRepayment = resolve => require.ensure([], () => { resolve(require('@/pages/contractRepayment/contract-repayment')) }, 'contractRepayment')
const RepayDetails = resolve => require.ensure([], () => { resolve(require('@/pages/contractRepayment/repay-details')) }, 'contractRepayment')
const RepayPlan = resolve => require.ensure([], () => { resolve(require('@/pages/contractRepayment/refund')) }, 'contractRepayment')

// 融资合同创建
const StartList = resolve => require.ensure([], () => { resolve(require('@/pages/contractStart/start-list')) }, 'contractStart')
const AddCar = resolve => require.ensure([], () => { resolve(require('@/pages/contractStart/add-car')) }, 'contractStart')
const financingApplyList = resolve => require.ensure([], () => { resolve(require('@/pages/financingApply/financingApply-list')) }, 'financingApply-list')
const financingApplyDetail = resolve => require.ensure([], () => { resolve(require('@/pages/financingApply/financingApply-detail')) }, 'financingApply-detail')
const financingApplyFinancing = resolve => require.ensure([], () => { resolve(require('@/pages/financingApply/financingApply-financing')) }, 'financingApply-financing')

// 合同签订
const ConfirmDetail = resolve => require.ensure([], () => { resolve(require('@/pages/carConfirm/confirm-detail')) }, 'carConfirm')
const ConfirmList = resolve => require.ensure([], () => { resolve(require('@/pages/carConfirm/confirm-list')) }, 'carConfirm')
const batchSign = resolve => require.ensure([], () => { resolve(require('@/pages/carConfirm/batchSign')) }, 'carConfirm')

// 合同查询
const ContractRecords = resolve => require.ensure([], () => { resolve(require('@/pages/contractInquire/contract-records')) }, 'contractInquire')
const RepayDetail = resolve => require.ensure([], () => { resolve(require('@/pages/contractInquire/repay-detail')) }, 'contractInquire')
const RepayPlans = resolve => require.ensure([], () => { resolve(require('@/pages/contractInquire/repay-plans')) }, 'contractInquire')

// 业务退款
const DrawbackList = resolve => require.ensure([], () => { resolve(require('@/pages/drawback/drawback-list')) }, 'drawback')
const DrawbackDetail = resolve => require.ensure([], () => { resolve(require('@/pages/drawback/drawback-detail')) }, 'drawback')

// 视屏面签
const VideoSign = resolve => require.ensure([], () => { resolve(require('@/pages/videoSign/video-list')) }, 'videoSign')

// 合同创建
const MyContract = resolve => require.ensure([], () => { resolve(require('@/pages/contractCreate/my-contract')) }, 'contractCreate')
const ContractCreateList = resolve => require.ensure([], () => { resolve(require('@/pages/contractCreate/contract-create-list')) }, 'contractCreate')
const SalesInfo = resolve => require.ensure([], () => { resolve(require('@/pages/contractCreate/sales-info')) }, 'contractCreate')
const PickLessee = resolve => require.ensure([], () => { resolve(require('@/pages/contractCreate/pick-lessee')) }, 'contractCreate')
const CreateBaseInfo = resolve => require.ensure([], () => { resolve(require('@/pages/contractCreate/create-base-info')) }, 'contractCreate')
const CreateRentInfo = resolve => require.ensure([], () => { resolve(require('@/pages/contractCreate/creat-rent-info')) }, 'contractCreate')
const CreateEnclosureInfo = resolve => require.ensure([], () => { resolve(require('@/pages/contractCreate/create-enclosure-info')) }, 'contractCreate')
const previewPdf = resolve => require.ensure([], () => { resolve(require('@/pages/contractSigning/previewPdf')) }, 'contractSigning')
const Addundertake = resolve => require.ensure([], () => { resolve(require('@/pages/contractCreate/add-undertake')) }, 'contractCreate')

const About = resolve => require.ensure([], () => { resolve(require('@/pages/myInfo/About')) }, 'myInfo')
const ContactUs = resolve => require.ensure([], () => { resolve(require('@/pages/myInfo/ContactUs')) }, 'myInfo')
const Setting = resolve => require.ensure([], () => { resolve(require('@/pages/myInfo/setting')) }, 'myInfo')
const UserAgree = resolve => require.ensure([], () => { resolve(require('@/pages/myInfo/UserAgreement')) }, 'myInfo')
const PrivacyPolicy = resolve => require.ensure([], () => { resolve(require('@/pages/myInfo/PrivacyPolicy')) }, 'myInfo')

// 业务办理
const FunctionCenter = resolve => require.ensure([], () => { resolve(require('@/pages/functionCenter/function-list')) }, 'functionCenter')
// 待办审批
const ToDoList = resolve => require.ensure([], () => { resolve(require('@/pages/functionCenter/to-do-list')) }, 'functionCenter')
const approvalInfo = resolve => require.ensure([], () => { resolve(require('@/pages/functionCenter/approval-info')) }, 'functionCenter')
// 我的发票
const MyInvoice = resolve => require.ensure([], () => { resolve(require('@/pages/invoice/invoice')) }, 'invoice')
const NewsList = resolve => require.ensure([], () => { resolve(require('@/pages/news/newslist')) }, 'news')
const NewsInfo = resolve => require.ensure([], () => { resolve(require('@/pages/news/NewsInfo')) }, 'news')
// 客户准入审批流
const customerAccessDetail = resolve => require.ensure([], () => { resolve(require('@/pages/customerAccessApply/customerAccess-detail')) }, 'customerAccess-detail')

// 逾期查询
const overTimeQueryList = resolve => require.ensure([], () => { resolve(require('@/pages/overTimeQuery/list')) }, 'overTimeQuery')
const overTimeQueryDetail = resolve => require.ensure([], () => { resolve(require('@/pages/overTimeQuery/detail')) }, 'overTimeQuery')
// 延期申请功能
const overTimeApplyList = resolve => require.ensure([], () => { resolve(require('@/pages/overTimeApply/list')) }, 'overTimeApply')
const overTimeApplyDetail = resolve => require.ensure([], () => { resolve(require('@/pages/overTimeApply/detail')) }, 'overTimeApply')
// 延期申请工作流
const delayApply = resolve => require.ensure([], () => { resolve(require('@/pages/delayApply/detail')) }, 'delayApply')
// 开票申请功能
const drawBillApplyList = resolve => require.ensure([], () => { resolve(require('@/pages/drawBillApply/list')) }, 'drawBillApply')
const drawBillApplyDetail = resolve => require.ensure([], () => { resolve(require('@/pages/drawBillApply/detail')) }, 'drawBillApply')
// 开票申请 工作流

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      redirect: to => {
        return {name: 'Login'}
        /* if (!window.localStorage.needGuid || window.localStorage.needGuid === 'true') {
          return {name: 'Guide'}
        } else {
          // if none of the above states are matched, use this as the fallback
          return {name: 'Login'}
        } */
      },
    },
    {
      path: '/tab',
      component: Tab,
      name: 'Tab',
      redirect: '/tab/home-page',
      meta: {keepAlive: true},
      children: [
        {path: '/tab/home-page', component: HomePage, name: 'HomePage', meta: {keepAlive: false}},
        {path: '/tab/my-info', component: MyInfo, name: 'MyInfo', meta: {keepAlive: false}},
        {path: '/tab/message-center', component: MessageCenter, name: 'MessageCenter', meta: {keepAlive: true}},
        {path: '/tab/function-center', component: FunctionCenter, name: 'FunctionCenter', meta: {keepAlive: true}},
        {path: '/tab/query-home', component: QueryHome, name: 'TabQueryHome', meta: {keepAlive: true}},
      ],
    },
    // 待办审核
    {path: '/ToDoList', component: ToDoList, name: 'ToDoList', meta: {keepAlive: true}},
    // 我绑定的用户
    {path: '/myBindUser', component: myBindUser, name: 'myBindUser', meta: {keepAlive: false}},
    // 资讯动态
    {path: '/NewsList', component: NewsList, name: 'NewsList', meta: {keepAlive: true}},
    {path: '/NewsInfo', component: NewsInfo, name: 'NewsInfo', meta: {keepAlive: true}},
    // 产品查询
    {path: '/query-home', component: QueryHome, name: 'QueryHome', meta: {keepAlive: true}},
    {path: '/product-detailed', component: ProDetailed, name: 'ProDetailed', meta: {keepAlive: true}},
    {path: '/product-list', component: ProductList, name: 'ProductList', meta: {keepAlive: true}},
    {path: '/entity-list', component: EntityList, name: 'EntityList', meta: {keepAlive: true}},
    {path: '/tab/approvalInfo', component: approvalInfo, name: 'approvalInfo', meta: {keepAlive: true}},
    {
      path: '/home-page',
      component: HomePage,
      name: 'HomePage',
      meta: {keepAlive: false},
    },
    {
      path: '/location',
      component: Location,
      name: 'Location',
      meta: {keepAlive: false},
    },

    {
      path: '/guide',
      component: Guide,
      name: 'Guide',
      meta: {keepAlive: true},
    },
    {
      path: '/login',
      component: Login,
      name: 'Login',
      meta: {keepAlive: true},
    },
    {
      path: '/choose-user',
      component: ChooseUser,
      name: 'choose-user',
      meta: {keepAlive: false},
    },
    {
      path: '/regiester',
      component: Regiester,
      name: 'Regiester',
      meta: {keepAlive: false},
    },
    {
      path: '/regiester2',
      component: Regiester2,
      name: 'Regiester2',
      meta: {keepAlive: false},
    },
    {
      path: '/finger-login',
      component: FingerLogin,
      name: 'FingerLogin',
      meta: {keepAlive: true},
    },
    {path: '/pwd-forgot', component: PwdForgot, name: 'PwdForgot', meta: {keepAlive: true}},
    {path: '/pwd-reset', component: PwdReset, name: 'PwdReset', meta: {keepAlive: true}},
    // test工具类
    {path: '/hls-popup', component: HlsPopup, name: 'HlsPopup', meta: {keepAlive: false}},
    // 用户绑定
    {path: '/user-bind', component: UserBind, name: 'UserBind', meta: {keepAlive: false}},
    {path: '/nature-person', component: NaturePerson, name: 'NaturePerson', meta: {keepAlive: false}},
    {path: '/enterprise', component: Enterprise, name: 'Enterprise', meta: {keepAlive: true}},

    // 用户绑定new
    {path: '/enterprise-new', component: EnterpriseNew, name: 'EnterpriseNew', meta: {keepAlive: true}},
    {path: '/invoice', component: Invoice, name: 'Invoice', meta: {keepAlive: true}},
    {path: '/enclosure', component: Enclosure, name: 'Enclosure', meta: {keepAlive: true}},
    {path: '/bankInfo', component: BankInfo, name: 'BankInfo', meta: {keepAlive: true}},
    // 进件审批
    {path: '/base', component: Base, name: 'Base', meta: {keepAlive: false}},
    {path: '/refund', component: Refund, name: 'Refund', meta: {keepAlive: false}},
    {path: '/into-list', component: IntoList, name: 'IntoList', meta: {keepAlive: false}},
    // 经销商签约
    {path: '/contract-list', component: ContractList, name: 'ContractList', meta: {keepAlive: true}},
    {path: '/contract-details', component: ContractDetails, name: 'ContractDetails', meta: {keepAlive: true}},
    {path: '/financ-details', component: FinancDetails, name: 'FinancDetails', meta: {keepAlive: false}},
    // 试算
    {path: '/financing-trial', component: FinancingTrial, name: 'FinancingTrial', meta: {keepAlive: true}},
    {path: '/financing-details', component: FinancingDetails, name: 'FinancingDetails', meta: {keepAlive: true}},
    {path: '/trial-repay-plan', component: TrialRepayPlan, name: 'TrialRepayPlan', meta: {keepAlive: true}},
    // 融租方案确认
    {path: '/contract-signing', component: ContractSigning, name: 'ContractSigning', meta: {keepAlive: false}},
    {path: '/contract-detail', component: ContractDetail, name: 'ContractDetail', meta: {keepAlive: true}},
    {path: '/contract-content', component: ContractContent, name: 'ContractContent', meta: {keepAlive: true}},
    {path: '/entry-info', component: EntryInfo, name: 'EntryInfo', meta: {keepAlive: true}},
    {path: '/contract-repay-plan', component: ContractRepayPlan, name: 'ContractRepayPlan', meta: {keepAlive: false}},
    {path: '/electronic-sign', component: ElectronicSign, name: 'ElectronicSign', meta: {keepAlive: false}},
    // 首付款支付
    {path: '/first-pay', component: FirstPay, name: 'FirstPay', meta: {keepAlive: true}},
    {path: '/pay-entry', component: PayEntry, name: 'PayEntry', meta: {keepAlive: true}},
    {path: '/contract-record', component: ContractRecord, name: 'ContractRecord', meta: {keepAlive: true}},
    // 款项支付
    {path: '/payment-pay-entry', component: PaymentPayEntry, name: 'PaymentPayEntry', meta: {keepAlive: true}},
    {path: '/new-list', component: NewList, name: 'NewList', meta: {keepAlive: true}},
    {path: '/payment-contract-record', component: PaymentContractRecord, name: 'PaymentContractRecord', meta: {keepAlive: true}},
    // 保证金支付
    {path: '/margin-first-pay', component: MarginFirstPay, name: 'MarginFirstPay', meta: {keepAlive: false}},
    {path: '/margin-pay-entry', component: MarginPayEntry, name: 'MarginPayEntry', meta: {keepAlive: false}},
    // 支付页
    {path: '/pay-page', component: PayPage, name: 'PayPage', meta: {keepAlive: false}},
    // 帮助与反馈
    {path: '/help-list', component: HelpList, name: 'HelpList', meta: {keepAlive: true}},
    {path: '/help-detail', component: HelpDetail, name: 'HelpDetail', meta: {keepAlive: true}},
    {path: '/help-feedback', component: HelpFeedback, name: 'HelpFeedback', meta: {keepAlive: false}},
    // 我的还款
    {path: '/reimburse-myself-list', component: ReimburseMyselfList, name: 'ReimburseMyselfList', meta: {keepAlive: false}},
    {path: '/reimburse-detail', component: ReimburseDetail, name: 'ReimburseDetail', meta: {keepAlive: false}},
    // 我的收藏
    {path: '/my-product-list', component: MyProductList, name: 'MyProductList', meta: {keepAlive: true}},
    // 合同还款
    {path: '/contract-repayment', component: ContractRepayment, name: 'ContractRepayment', meta: {keepAlive: true}},
    {path: '/repay-details', component: RepayDetails, name: 'RepayDetails', meta: {keepAlive: true}},
    {path: '/repay-plan', component: RepayPlan, name: 'RepayPlan', meta: {keepAlive: true}},
    // 融租合同创建
    {path: '/start-List', component: StartList, name: 'StartList', meta: {keepAlive: false}},
    {path: '/add-car', component: AddCar, name: 'AddCar', meta: {keepAlive: false}},
    {path: '/financing-apply-list', component: financingApplyList, name: 'financingApplyList', meta: {keepAlive: false}},
    {path: '/financing-apply-detail', component: financingApplyDetail, name: 'financingApplyDetail', meta: {keepAlive: false}},
    {path: '/financing-apply-financing', component: financingApplyFinancing, name: 'financingApplyFinancing', meta: {keepAlive: false}},
    // 合同签订
    {path: '/confirm-detail', component: ConfirmDetail, name: 'ConfirmDetail', meta: {keepAlive: false}},
    {path: '/confirm-list', component: ConfirmList, name: 'ConfirmList', meta: {keepAlive: false}},
    {path: '/batchSign', component: batchSign, name: 'batchSign', meta: {keepAlive: false}},
    // 合同查询
    {path: '/contract-records', component: ContractRecords, name: 'ContractRecords', meta: {keepAlive: true}},
    {path: '/repay-detail', component: RepayDetail, name: 'RepayDetail', meta: {keepAlive: true}},
    {path: '/repay-plans', component: RepayPlans, name: 'RepayPlans', meta: {keepAlive: true}},
    {path: '/certification', component: Certification, name: 'Certification', meta: {keepAlive: false}},
    // 业务退款
    {path: '/drawback-list', component: DrawbackList, name: 'DrawbackList', meta: {keepAlive: false}},
    {path: '/drawback-detail', component: DrawbackDetail, name: 'DrawbackDetail', meta: {keepAlive: false}},
    // 视屏面签
    {path: '/video-sign', component: VideoSign, name: 'VideoSign', meta: {keepAlive: true}},
    // 消息中心
    {path: '/reject-detail', component: RejectDetail, name: 'RejectDetail', meta: {keepAlive: true}},
    // 新版用户绑定-自然人
    {path: '/np-base-info', component: NPBaseInfo, name: 'NPBaseInfo', meta: {keepAlive: true}},
    {path: '/np-invoice-info', component: NPInvoiceInfo, name: 'NPInvoiceInfo', meta: {keepAlive: true}},
    {path: '/np-bank-info', component: NPBankInfo, name: 'NPBankInfo', meta: {keepAlive: false}},
    {path: '/accessory-info', component: AccessoryInfo, name: 'AccessoryInfo', meta: {keepAlive: true}},
    // 我的合同
    {path: '/my-contract', component: MyContract, name: 'MyContract', meta: {keepAlive: false}},
    // 合同创建
    {path: '/contract-create-list', component: ContractCreateList, name: 'ContractCreateList', meta: {keepAlive: true}},
    {path: '/sales-info', component: SalesInfo, name: 'SalesInfo', meta: {keepAlive: true}},
    {path: '/pick-lessee', component: PickLessee, name: 'PickLessee', meta: {keepAlive: true}},
    {path: '/create-base-info', component: CreateBaseInfo, name: 'CreateBaseInfo', meta: {keepAlive: true}},
    {path: '/create-rent-info', component: CreateRentInfo, name: 'CreateRentInfo', meta: {keepAlive: true}},
    {path: '/create-enclosure-info', component: CreateEnclosureInfo, name: 'CreateEnclosureInfo', meta: {keepAlive: true}},
    {path: '/previewPdf', component: previewPdf, name: 'previewPdf', meta: {keepAlive: false}},
    {path: '/add-undertake', component: Addundertake, name: 'Addundertake', meta: {keepAlive: false}},
    // 我的发票
    {path: '/invoice', component: MyInvoice, name: 'MyInvoice', meta: {keepAlive: false}},
    {
      path: '/About',
      component: About,
      name: 'About',
      meta: { keepAlive: true },
    },
    {
      path: '/ContactUs',
      component: ContactUs,
      name: 'ContactUs',
      meta: { keepAlive: true },
    },
    {
      path: '/Setting',
      component: Setting,
      name: 'Setting',
      meta: { keepAlive: false },
    },
    {
      path: '/UserAgree',
      component: UserAgree,
      name: 'UserAgree',
      meta: { keepAlive: true },
    },
    {
      path: '/PrivacyPolicy',
      component: PrivacyPolicy,
      name: 'PrivacyPolicy',
      meta: { keepAlive: true },
    },
    // 客户准入
    {
      path: '/customerAccess-detail',
      component: customerAccessDetail,
      name: 'customerAccessDetail',
      meta: { keepAlive: false },
    },
    // 逾期信息查询
    {
      path: '/over-time-query-list',
      component: overTimeQueryList,
      name: 'overTimeQueryList',
      meta: { keepAlive: false },
    },
    {
      path: '/over-time-query-detail',
      component: overTimeQueryDetail,
      name: 'overTimeQueryDetail',
      meta: { keepAlive: false },
    },
    // 延期申请功能
    {
      path: '/over-time-apply-list',
      component: overTimeApplyList,
      name: 'overTimeApplyList',
      meta: { keepAlive: false },
    },
    {
      path: '/over-time-apply-detail',
      component: overTimeApplyDetail,
      name: 'overTimeApplyDetail',
      meta: { keepAlive: false },
    },
    // 延期申请工作流
    {
      path: '/delayApply',
      component: delayApply,
      name: 'delayApply',
      meta: { keepAlive: false },
    },
    // 开票申请功能
    {
      path: '/drawBillApplyList',
      component: drawBillApplyList,
      name: 'drawBillApplyList',
      meta: { keepAlive: false },
    },
    {
      path: '/drawBillApplyDetail',
      component: drawBillApplyDetail,
      name: 'drawBillApplyDetail',
      meta: { keepAlive: false },
    },

  ],
  scrollBehavior (to, from, savedPosition) {
    if (to.hash) {
      return {
        selector: to.hash,
      }
    }
  },
})
